Groovy 1.7.0

## groovy.swing.factory
Class BeanFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory

    class BeanFactory
    extends AbstractFactory

author:
  Danno Ferrin

version:
  $Revision: 7953 $

since:
  Groovy 1.1

Property Summary
`Class` | `beanClass`
`protected boolean` | `leaf`

Constructor Summary
`BeanFactory(Class beanClass)`
`BeanFactory(Class beanClass, boolean leaf)`

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### beanClass

    final Class beanClass

### leaf

    protected final boolean leaf

Constructor Detail

### BeanFactory

    public BeanFactory(Class beanClass)

### BeanFactory

    public BeanFactory(Class beanClass, boolean leaf)

Method Detail

### isLeaf

    public boolean isLeaf()

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

Copyright © 2003-2009 The Codehaus. All rights reserved.